# -ax (Exclude archive filenames) switch

Specifies archives to be excluded from the operation.

Multiple exclude archive switches are supported.

#### Syntax

    -ax[<recurse_type>]<file_ref>

    <recurse_type> ::= r[- | 0]
    <file_ref> ::= @{listfile} | !{wildcard}

See -xi (Include archive filenames) switch description for information about option parameters.

#### Examples

    7z t -an -ai!*.7z -ax!a*.7z

tests all *.7z archives, except a*.7z archives.

#### Commands that can be used with this switch

e (Extract), l (List), t (Test), x (Extract with full paths)

#### See also

Switches: -ai (Include archives) -an (Disable parsing of archive_name)